$ErrorActionPreference = 'Stop';

$PackageName  = $env:ChocolateyPackageName
$App = $PackageName.Split(".")[0]
$InstallDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$ToolsDir = Split-Path -parent $MyInvocation.MyCommand.Definition

$PackageArgs = @{
  PackageName   = $PackageName
  FileType      = 'exe'
  File64        = Get-Item $(Join-Path $ToolsDir "nyrna-windows-installer.exe")

  SoftwareName  = 'nyrna*'

  Checksum      = "62c7978d17aefa3e4ab2d2fbdeb4644cb534abadf64723e7be42d91cfe1caa238208118e27c8fb804c4df0cd9fb9a3c56d240977abf92eddd9d52a483a3723ce"
  ChecksumType  = 'sha512'
  
  SilentArgs   = '/SILENT /VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  ValidExitCodes= @(0)
}

Install-ChocolateyPackage @PackageArgs
$InstallLocation = Get-AppInstallLocation "$PackageName*"

Remove-Item $(Get-Item $(Join-Path $ToolsDir "nyrna-windows-installer.exe"))

Write-Host "$PackageName registered as $App"